import type { _DDMatch } from "./DDMatch.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DDMatchPostalAddress extends _DDMatch {
    static alloc(): _DDMatchPostalAddress;
    static new(): _DDMatchPostalAddress;
    init(): _DDMatchPostalAddress;
    /** The street name in a postal address. */
    street(): _NSString | null;
    /** The city name in a postal address. */
    city(): _NSString | null;
    /** The state name in a postal address. */
    state(): _NSString | null;
    /** The postal code in a postal address. */
    postalCode(): _NSString | null;
    /** The country or region name in a postal address. */
    country(): _NSString | null;
}
